TULISAN - Feature #3549

Beban Administrasi Bank (berdasarkan metode payment)
04/07/2025 01:58 PM - haykal haykal

Status: Closed Start date: 04/07/2025
Priority: High Due date: 04/09/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear Developer,

Ingin otomatis bisa terhitung Beban Administrasi Bank (GLAccount: 7-420) berdasarkan Payment ID yang dipilih di CRM, dan ingin
muncul di jurnal Accountingnya (sebagai Debit).

Untuk mappingannya seperti di file Excel yang saya attach. Dan sudah saya mapping juga di tabel
PCMFILOPAYMENTPARAMETER (juga ada kondisi yang saya cantumkan di kolom FeeNotes)

Jadi Beban Administrasi Bank ini adalah hasil dari persentase x Total Amount yang dibayarkan melalui PaymentID tersebut.

Contoh misalkan menggunakan EDC Mandiri Debit Card. Total yang harus dibayarkan adalah Rp 700.000. Maka Beban Administrasi
Bank adalah 0,15% x 700000 = 1050

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login
Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (89)

Terimakasih.

History

#1 - 04/07/2025 06:03 PM - haykal haykal
Sudah ditambahkan field BebanAdministrasiBank di PTRSALESHEADER. Di PFILOINTEGRATE juga sudah saya mapping.

Terimakasih.

#2 - 04/08/2025 11:27 AM - Kezia Pawitra Yulianti
- Due date set to 04/09/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#3 - 04/08/2025 03:45 PM - shofwan shiddiq

- File clipboard-202504081545-zt8np.png added

- File clipboard-202504081545-w2piz.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, sudah di buat fitur untuk admin fee nya ya
https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login
https://tulisan-dev.minovais.com/

Company ID:

Document Date:

Document Status:

Document Type:

Qutlet:

Biaya Pengiriman:

Customer 1D:

Beban Administrasi
Bank:

Tolong dibuatkan field biaya admin untuk payment kedua juga.

Order Submitted

Document Number: 00000418
Customer: Daisy Edgar Jones

PT Tulisan
08/04/2025
Closed
Sales Order

Toko DS

10000.00

Daisy Edgar Jones

300.00

#4 - 04/10/2025 05:29 PM - haykal haykal

- File Harusnya 0.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddigq

07/03/2025

Process ID:

Deliver To:

ProcessStatus:
Shipping Address:
Shipping Method:
Payment Type:
Payment ID:
Payment Amount:
Payment Type 2:
Payment ID 2:
Payment Amount 2:
Tanggal Pembayaran:

Nama Pengirim
(Transfer):

Tanggal Pembayaran 2:

00022328

Daisy Edgar Jones

Close
Ruko Northridge Blok B2 N
Grab
EDC Mandiri
Debit Card
200000.00

EDC CIMB Niaga

522500.00

08/04/2025

08/04/2025
Dear Shofwan, ada satu catatan.

Jadi untuk yg Payment Method QR BCA (Payment Type 03, Payment ID 011), itu 'kan gua kasih notes tuh di kolom FeeNotes di tabel
PCMFILOPAYMENTPARAMETER. Jadi kalau nilai transaksinya dibawah 100.000 tidak dikenakan Biaya Admin.

Tadi gw coba transaksi (DocNo SO: 00000459) dengan nilai transaksi 10.000 , tapi masih ada Beban Administrasi Bank 30. Harusnya 0.
Tolong diperbaiki ya.

Terimakasih.

#5 - 04/14/2025 05:20 PM - haykal haykal

Dear Developer,

Sudah saya tambahkan ya field BebanAdministrasiBank2

Terimakasih.

#6 - 04/15/2025 05:19 PM - shofwan shiddiq

- File clipboard-202504151717-fssun.png added

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Done yah kal
Company ID: PT Tulisan
Document Date: 15/04/2025 Process ID: 00022417
Document Status: Closed Deliver To: Hania
Document Type: Sales Order
Outlet: Toko DS ProcessStatus: Close
Shipping Address:
Biaya Pengiriman: 0.00 Shipping Method: None
Customer ID: Hania Payment Type: EDC BCA
Payment ID: ar
Beban Administrasi Payment Amount:
Bank: 0.00 60000.00
Beban Administrasi Payment Type 2: EDC CIMB Niaga
Bank 2: 6290.00
Payment ID 2:
Include Address in
Invoice: Payment Amount 2:

Tanggal Pembayaran:

Nama Pengirim
(Transfer):

Tanggal Pembayaran 2:

Nama Pengirim
(Transfer] 2:

340000.00

15/04/2025

Pada dokumen 00000527

Payment ID 1 adalah EDC Bca QR dengan nominal 60.000, maka Biaya admin bank nya 0

Payment ID 2 adalah EDC CIMB Niaga, dan Biaya admin nya terhitung 6.290

e Settingan ini di hard code di PaymentID 011 ( EDC BCA - QR ), jadi tolong payment id jangan di ubah2 lagi urutan-urutan nya.

#7 - 04/16/2025 12:34 PM - haykal haykal
- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Tri Rizqgiaty

Udh Ok Wan.

Berarti tinggal jurnal Accountingnya ya Mbak Yomma.
Untk GLAccount 7-420 Beban Administrasi Bank di PFILOINTEGRATE kmrn sudah saya mapping D. Tapi saya lihat lagi skrg di db ada yg ngubah
menjadi C. Jadi harusnya dia itu di Debit dengan treatment seperti yg ada di redmine #3568

Dan kalau misalkan ini dari 2 payment, berarti nilai yang terisi di GLAccount 7-420 Beban Administrasi Bank adalah penjumlahan dari nilai yang ada

di field Beban Administrasi Bank dan Beban Administrasi Bank 2 (BebanAdministrasiBank + BebanAdministrasiBank2)

Terimakasih.

#8 - 04/16/2025 03:32 PM - Tri Rizqiaty
- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Bisa di benerin di settingannya PFILOINTEGRATE.

#9 - 04/16/2025 03:59 PM - haykal haykal
- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma,

Tadi sudah diskusi dengan Mbak Yaya katanya tidak perlu dibuat field atau figure baru.

Jadinya dibikin kondisi aja membaca kalau di transaksi ada Beban Administrasi Bank (GLAccount 7-420) maka nilai akun Piutang Usaha (GL Account
1-1021) dikurang dengan nilai yang ada di BebanAdministrasiBank. (Supaya amountnya balance seperti file yang diattach di redmine #3568)

Untuk mappingan BebanAdministrasiBank di PFILOINTEGRATE sudah aku bikin D.

Terimakasih.

#10 - 04/21/2025 02:00 PM - Tri Rizqiaty
- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll

#11 - 04/21/2025 03:24 PM - haykal haykal
- Status changed from QA Test to Closed
